
Smart Proxy - Feature #25065

PuppetCA smart proxy - Puppet 6 integration.

09/28/2018 12:39 PM - Dima Nilsen

Status: Closed   

Priority: Normal   

Assignee: Timo Goebel   

Category: PuppetCA   

Target version:    

Difficulty:  Fixed in Releases: 1.22.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/615,

https://github.com/theforeman/smart-pro

xy/pull/646

  

Description

Motivation

with puppet-6 all commands like puppet cert * are depricateded. Instead one should use puppetserver ca * commands for

certificates.

Possible Solution

I created PR adding a "puppet6" functionality for Puppet-CA. It can be activated by defining :puppet_6: true parameter in

puppetca.yml settings file of the proxy

Related issues:

Has duplicate Smart Proxy - Feature #19066: Use Puppetserver's CA API instead... Duplicate

Associated revisions

Revision eab6b899 - 02/25/2019 03:16 PM - Timo Goebel

fixes #25065 - use puppetca http api

Revision dd54dd8b - 04/11/2019 01:13 PM - Ewoud Kohl van Wijngaarden

Refs #25065 - Move puppetca_cert migration

This places the migration in the correct directory so it's actually

used.

History

#1 - 10/17/2018 02:25 PM - The Foreman Bot

- Assignee set to Timo Goebel

- Pull request https://github.com/theforeman/smart-proxy/pull/615 added

#2 - 11/01/2018 08:03 PM - The Foreman Bot

- Status changed from New to Ready For Testing

#3 - 02/25/2019 04:01 PM - Timo Goebel

- Status changed from Ready For Testing to Closed

Applied in changeset eab6b899c63dfaeb9ae29f6b48d80950ec40bed0.

#4 - 04/11/2019 12:59 PM - The Foreman Bot

- Pull request https://github.com/theforeman/smart-proxy/pull/646 added

#5 - 04/22/2019 09:07 AM - Tomer Brisker
https://projects.theforeman.org/projects/smart-proxy/repository/7/revisions/eab6b899c63dfaeb9ae29f6b48d80950ec40bed0


- Category set to PuppetCA

- Fixed in Releases 1.22.0 added

#6 - 06/06/2019 02:28 PM - Ewoud Kohl van Wijngaarden

- Has duplicate Feature #19066: Use Puppetserver's CA API instead of CLI commands added
